/** 
 *   Camera Control for STAR I.
 *
 *   (c) Copyright 2004 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 **/

#ifndef _CAMERA_SETUP_H
#define _CAMERA_SETUP_H

#include <sys/time.h>

#define IMT_NONE  0
#define IMT_IMAGE 1
#define IMT_DARK  2
#define IMT_BIAS  3
#define IMT_FOCUS 4
#define IMT_SHADE 5
#define IMT_CLEAR 6
#define IMT_FLAT  7

#define FLAT_SKY    0
#define FLAT_DOME   1
#define FLAT_UNKNOW 2


struct camera_setup {
	int im_type;
	int naxis1;
	int naxis2;
	double exposure;
	int gain;
	int temperature;
	int binning;
	int new_image;
	// char filter; /* FIXME */
	struct timeval tv;
	
};

extern struct camera_setup cam_setup;
extern char cam_filter;

typedef struct {
	char *imagetyp;
	char *object;
} STR_DESC;

extern STR_DESC str_desc[];

int camera_update_setup_new_image(int flag);
int camera_update_setup(int dev, int im_type);
time_t camera_setup_exposure_now(int dev);

#endif /* _CAMERA_SETUP_H */




