/** 
 *   Camera Control for STAR I.
 *
 *   (c) Copyright 2005 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 **/

#ifndef _LOCAL_GPIB_H
#define _LOCAL_GPIB_H

extern int (*l_ibclr)   ( int ud );
extern int (*l_ibconfig)( int ud, int option, int value );
extern int (*l_ibdev)   ( int board_index, int pad, int sad, 
			  int timo, int send_eoi, int eosmode );
extern int (*l_ibln)    ( int ud, int pad, int sad, short *found_listener );
extern int (*l_ibrd)    ( int ud, void *buf, long count );
extern int (*l_ibrsp)   ( int ud, char *spr );
extern int (*l_ibtmo)   ( int ud, int v );
extern int (*l_ibwrt)   ( int ud, const void *buf, long count );
extern int (*l_ibwrta)  ( int ud, const void *buf, long count );

extern volatile int ibsta, ibcnt, iberr;

#endif /* ifndef _LOCAL_GPIB_H */


